# autogenerated by /home/rlauer/bin/make-cpan-dist.pl on Wed Nov 27 18:06:22 2024

use strict;
use warnings;

use ExtUtils::MakeMaker;
use File::ShareDir::Install;

if ( -d 'share' ) {
  install_share 'share';
}

WriteMakefile(
  NAME             => 'Amazon::SQS::Client',
  MIN_PERL_VERSION => '5.10.0',
  AUTHOR           => 'Rob Lauer <bigfoot@cpan.org>',
  VERSION_FROM     => 'lib/Amazon/SQS/Client.pm',
  ABSTRACT         => 'Perl classes for interacting with Amazon SQS',
  LICENSE          => 'perl',
  PL_FILES         => {},
  EXE_FILES        => [ 'bin/aws-sqsd', 'bin/aws-sqsd.in', 'bin/create-queue.pl', 'bin/QueueDaemon.pl' ],
  PREREQ_PM        => {
    'AWS::Signature4'          => '1.02',
    'Amazon::Credentials'      => '0',
    'CGI::Simple'              => '1.281',
    'Carp'                     => '1.50',
    'Class::Accessor::Fast'    => '0.51',
    'Class::Inspector'         => '0',
    'Class::Unload'            => '0',
    'Config::IniFiles'         => '3.000003',
    'Data::Dumper'             => '2.183',
    'Digest::SHA'              => '6.02',
    'English'                  => '1.05',
    'JSON'                     => '4.10',
    'LWP::UserAgent'           => '6.77',
    'List::Util'               => '1.63',
    'Log::Log4perl'            => '1.57',
    'Log::Log4perl::Level'     => '0',
    'Module::ScanDeps::Static' => '0',
    'Proc::Daemon'             => '0',
    'Proc::PID::File'          => '0',
    'Readonly'                 => '2.05',
    'Scalar::Util'             => '1.63',
    'Test::More'               => '1.302190',
    'Time::HiRes'              => '1.9725',
    'URI'                      => '5.10',
    'URI::Escape'              => '5.10',
    'XML::Simple'              => '2.25',
    'strict'                   => '1.07',
    'warnings'                 => '1.13'
  },
  BUILD_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  CONFIGURE_REQUIRES => {
    'ExtUtils::MakeMaker'     => '6.64',
    'File::ShareDir::Install' => 0,
  },
  TEST_REQUIRES => {
    '\'List::Util\'' => '0',
    '\'Test::More\'' => '=>'
  },
  META_MERGE => {
    'meta-spec' => { 'version' => 2 },
    'provides'  => {
      'Amazon::SQS::Client' => {
        'file'    => 'lib/Amazon/SQS/Client.pm',
        'version' => '2.0.7'
      },
      'Amazon::SQS::Config' => {
        'file'    => 'lib/Amazon/SQS/Config.pm',
        'version' => '2.0.6'
      },
      'Amazon::SQS::Constants' => {
        'file'    => 'lib/Amazon/SQS/Constants.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Exception' => {
        'file'    => 'lib/Amazon/SQS/Exception.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model' => {
        'file'    => 'lib/Amazon/SQS/Model.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::AddPermissionRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/AddPermissionRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::AddPermissionResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/AddPermissionResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::Attribute' => {
        'file'    => 'lib/Amazon/SQS/Model/Attribute.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityBatchRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityBatchRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityBatchRequestEntry' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityBatchRequestEntry.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityBatchResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityBatchResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityBatchResult' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityBatchResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityBatchResultEntry' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityBatchResultEntry.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ChangeMessageVisibilityResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ChangeMessageVisibilityResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::CreateQueueRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/CreateQueueRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::CreateQueueResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/CreateQueueResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::CreateQueueResult' => {
        'file'    => 'lib/Amazon/SQS/Model/CreateQueueResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageBatchRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageBatchRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageBatchRequestEntry' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageBatchRequestEntry.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageBatchResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageBatchResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageBatchResult' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageBatchResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageBatchResultEntry' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageBatchResultEntry.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteMessageResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteMessageResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteQueueRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteQueueRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::DeleteQueueResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/DeleteQueueResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::Error' => {
        'file'    => 'lib/Amazon/SQS/Model/Error.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ErrorResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ErrorResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::GetQueueAttributesRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/GetQueueAttributesRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::GetQueueAttributesResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/GetQueueAttributesResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::GetQueueAttributesResult' => {
        'file'    => 'lib/Amazon/SQS/Model/GetQueueAttributesResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListDeadLetterSourceQueuesRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/ListDeadLetterSourceQueuesRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListDeadLetterSourceQueuesResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ListDeadLetterSourceQueuesResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListDeadLetterSourceQueuesResult' => {
        'file'    => 'lib/Amazon/SQS/Model/ListDeadLetterSourceQueuesResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListQueuesRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/ListQueuesRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListQueuesResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ListQueuesResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ListQueuesResult' => {
        'file'    => 'lib/Amazon/SQS/Model/ListQueuesResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::Message' => {
        'file'    => 'lib/Amazon/SQS/Model/Message.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::MessageAttribute' => {
        'file'    => 'lib/Amazon/SQS/Model/MessageAttribute.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::MessageAttributeValue' => {
        'file'    => 'lib/Amazon/SQS/Model/MessageAttributeValue.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ReceiveMessageRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/ReceiveMessageRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ReceiveMessageResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/ReceiveMessageResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ReceiveMessageResult' => {
        'file'    => 'lib/Amazon/SQS/Model/ReceiveMessageResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::RemovePermissionRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/RemovePermissionRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::RemovePermissionResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/RemovePermissionResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::ResponseMetadata' => {
        'file'    => 'lib/Amazon/SQS/Model/ResponseMetadata.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::SendMessageRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/SendMessageRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::SendMessageResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/SendMessageResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::SendMessageResult' => {
        'file'    => 'lib/Amazon/SQS/Model/SendMessageResult.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::SetQueueAttributesRequest' => {
        'file'    => 'lib/Amazon/SQS/Model/SetQueueAttributesRequest.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Model::SetQueueAttributesResponse' => {
        'file'    => 'lib/Amazon/SQS/Model/SetQueueAttributesResponse.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::QueueHandler' => {
        'file'    => 'lib/Amazon/SQS/QueueHandler.pm',
        'version' => 'undef'
      },
      'Amazon::SQS::Sample' => {
        'file'    => 'lib/Amazon/SQS/Sample.pm',
        'version' => 'undef'
      }
    },
    'resources' => {
      'homepage'   => 'https://git-codecommit.us-east-1.amazonaws.com/v1/repos/perl-Amazon-SQS-Client',
      'repository' => {
        'type' => 'git',
        'url'  => 'https://git-codecommit.us-east-1.amazonaws.com/v1/repos/perl-Amazon-SQS-Client',
        'web'  => 'https://git-codecommit.us-east-1.amazonaws.com/v1/repos/perl-Amazon-SQS-Client'
      }
    }
  }

);

package MY;

use File::ShareDir::Install;
use English qw(-no_match_vars);

sub postamble {
  my $self = shift;

  my @ret = File::ShareDir::Install::postamble($self);

  my $postamble = join "\n", @ret;

  if ( -e 'postamble' ) {

    local $RS = undef;

    open my $fh, '<', 'postamble'
      or die "could not open postamble\n";

    $postamble .= <$fh>;

    close $fh;
  }

  return $postamble;
}

1;
